Package org.multiverse.api.predicates

## Class IntPredicate

- java.lang.Object
- - org.multiverse.api.predicates.IntPredicate

- All Implemented Interfaces:
    `Predicate<Integer>`

      public abstract class IntPredicate
      extends Object
      implements Predicate<Integer>

  A predicate that checks if some value leads to true or false.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntPredicate()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `evaluate​(int current)` | Evaluates the predicate
    `boolean` | `evaluate​(Integer arg)` | Evaluates the predicate.
    `static IntPredicate` | `newEqualsPredicate​(int value)` |
    `static IntPredicate` | `newLargerThanOrEqualsPredicate​(int value)` |
    `static IntPredicate` | `newLargerThanPredicate​(int value)` |
    `static IntPredicate` | `newNotEqualsPredicate​(int value)` |
    `static IntPredicate` | `newSmallerThanOrEqualsPredicate​(int value)` |
    `static IntPredicate` | `newSmallerThanPredicate​(int value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntPredicate

          public IntPredicate()

  - ### Method Detail

    - #### newEqualsPredicate

          public static IntPredicate newEqualsPredicate​(int value)

    - #### newNotEqualsPredicate

          public static IntPredicate newNotEqualsPredicate​(int value)

    - #### newLargerThanPredicate

          public static IntPredicate newLargerThanPredicate​(int value)

    - #### newLargerThanOrEqualsPredicate

          public static IntPredicate newLargerThanOrEqualsPredicate​(int value)

    - #### newSmallerThanPredicate

          public static IntPredicate newSmallerThanPredicate​(int value)

    - #### newSmallerThanOrEqualsPredicate

          public static IntPredicate newSmallerThanOrEqualsPredicate​(int value)

    - #### evaluate

          public abstract boolean evaluate​(int current)

      Evaluates the predicate
      Parameters:
        `current` - the current value.
      Returns:
        true or false.

    - #### evaluate

          public final boolean evaluate​(Integer arg)

      Description copied from interface: `Predicate`
      Evaluates the predicate.
      Specified by:
        `evaluate` in interface `Predicate<Integer>`
      Parameters:
        `arg` - the value to evaluate.
      Returns:
        true or false.